Zulip runs on-premises or in the cloud, and integrates with the rest of
Atlassian’s products. The following describes some typical steps for
migrating from Atlassian’s HipChat or Stride to Zulip.

## Do a trial of Zulip.

* [Install Zulip
on-premise](https://zulip.readthedocs.io/en/stable/production/install.html)
or [create a Zulip Cloud
organization](https://zulip.com/new). Installing a Zulip server takes
just a couple of minutes.

* Stop by the [Zulip community server](https://chat.zulip.org) to see
what an active Zulip organization looks like.  The Zulip community
server has around 10,000 users with several hundred weekly actives.

* Try to get at least a few very busy people to take a look at topic-based
threads on the [community server](https://chat.zulip.org) and/or read
[Why Zulip](/why-zulip). Zulip has a unique threading model that makes
everybody more productive, but those in meetings all day are often the
first people to “get it” and be strong advocates for Zulip internally.

A user experience trial of a team chat tool like Zulip works best if
you have a team spend a week using it as their primary work
communication tool; this allows the trial group to get familiar with
the tool (and with Zulip, experience the magic of topics).

## Import your HipChat data.

You can export from HipChat or Stride, and import into Zulip Cloud or Zulip
on-premise. Instructions are available [here](/help/import-from-hipchat).

If you’re importing into Zulip Cloud, we recommend doing a test import
with us a few days before, and then scheduling a migration date to
make sure there is as little interruption in service as possible. The
import can take anywhere from a few seconds to several hours depending
on how much data you have.

## Set up third-party integrations.

Zulip has over [100 native integrations](/integrations), and hundreds more
through Zapier, Hubot, and IFTTT.

Instructions for integrating with [JIRA](/integrations/doc/jira),
[Bitbucket](/integrations/doc/bitbucket2),
[Trello](/integrations/doc/trello),
[Statuspage](/integrations/doc/statuspage), and
[OpsGenie](/integrations/doc/opsgenie) are linked.

We recommend integrating via [Zapier](/integrations/doc/zapier) for
Confluence, Bamboo, Fisheye, Crucible, Crowd, and Sourcetree.
[Contact us](/help/contact-support) if you get stuck and we’d be happy to help
you out.

## Read our guides.

We have a guide for
[setting up your Zulip organization](/help/getting-your-organization-started-with-zulip),
as well as a [guide for new Zulip users](/help/getting-started-with-zulip).

You may also want to send out material like [Why Zulip](/why-zulip), the
[tour on the Zulip homepage](/), or our
[guide to streams and topics](/help/about-streams-and-topics) to users being
migrated, so that everyone gets a running start with Zulip’s thread-based
chat model.

## Decide on a payment plan.

See [zulip.com/plans](https://zulip.com/plans) for Cloud
pricing, or email <support@zulip.com> for on-premise support
options. We also offer affordable paid installation help that includes
installing and configuring Zulip.
